Transfer Ownership
curl --request POST \
--url https://demo.rotavision.com/api/v1/agents/{agent_id}/transfer-ownership \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner_name": "<string>",
"owner_email": "jsmith@example.com"
}
'import requests
url = "https://demo.rotavision.com/api/v1/agents/{agent_id}/transfer-ownership"
payload = {
"owner_name": "<string>",
"owner_email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({owner_name: '<string>', owner_email: 'jsmith@example.com'})
};
fetch('https://demo.rotavision.com/api/v1/agents/{agent_id}/transfer-ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"description": "<string>",
"owner_name": "<string>",
"owner_email": "<string>",
"org_unit": "<string>",
"autonomy_tier": "<string>",
"blast_radius": {},
"status": "<string>",
"recert_due_at": "2023-11-07T05:31:56Z",
"decommissioned_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"identity_verified": false,
"identity_source": "<string>",
"identity_ref": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}register
Transfer Ownership
POST
/
api
/
v1
/
agents
/
{agent_id}
/
transfer-ownership
Transfer Ownership
Authorizations
Ingest API key or OIDC JWT. See /authentication.
Path Parameters
Body
application/json
Response
Successful Response
⌘I

